# $Id: openexr.spec 4648 2006-08-12 15:30:51Z dries $
# Authority: dries
# Upstream: Drew Hess <dhess$yahoo,com>

%{?dist: %{expand: %%define %dist 1}}

%{?fc4:%define _without_modxorg 1}
%{?el4:%define _without_modxorg 1}
%{?fc3:%define _without_modxorg 1}
%{?fc2:%define _without_modxorg 1}
%{?fc1:%define _without_modxorg 1}
%{?el3:%define _without_modxorg 1}
%{?rh9:%define _without_modxorg 1}
%{?rh7:%define _without_modxorg 1}
%{?el2:%define _without_modxorg 1}
%{?rh6:%define _without_modxorg 1}

Summary: High dynamic range image file format
Name: openexr
Version: 1.3.0
Release: 1.rf
License: BSD
Group: Development/Libraries
URL: http://www.openexr.com

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://savannah.nongnu.org/download/openexr/openexr-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc-c++, fltk-devel
%{?_without_modxorg:BuildRequires: XFree86-devel}
%{!?_without_modxorg:BuildRequires: libXext-devel}

%description
OpenEXR is a high dynamic range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications. It
includes support for 16-bit floating-point pixels (compatible with
NVIDIA's Cg shader language "half" datatype), several lossless compression
algorithms, and extensible image metadata attributes.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup
perl -pi -e 's|include .map.|include <map>\nclass Image;|g;' exrmaketiled/Image.h

%build
%configure \
	--program-prefix="%{?_program_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__mv} %{buildroot}%{_datadir}/doc/OpenEXR-* rpmdocs

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL LICENSE NEWS README
%{_bindir}/exrmaketiled
%{_bindir}/exrstdattr
%{_bindir}/exrmakepreview
%{_bindir}/exrenvmap
%{_bindir}/exrheader
%{_bindir}/exrdisplay
%{_libdir}/libHalf.so.*
%{_libdir}/libIex.so.*
%{_libdir}/libImath.so.*
%{_libdir}/libIlmImf.so.*
%{_libdir}/libIlmThread.so.*

%files devel
%doc rpmdocs/*
%{_includedir}/OpenEXR
%{_libdir}/libHalf.a
%{_libdir}/libIex.a
%{_libdir}/libImath.a
%{_libdir}/libIlmImf.a
%{_libdir}/libIlmThread.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/OpenEXR.pc
%{_datadir}/aclocal/openexr.m4
%exclude %{_libdir}/*.la


%changelog
* Sat Aug 12 2006 Dries Verachtert <dries@ulyssis.org> - 1.3.0-1 - 4648+/dries
- Updated to release 1.3.0.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 1.2.2-1.2
- Rebuild for Fedora Core 5.

* Tue Nov 15 2005 Dries Verachtert <dries@ulyssis.org> - 1.2.2-1
- Initial package.
